# Baseline Results
This section presents the results of running 
[PowerModels.jl](https://github.com/lanl-ansi/PowerModels.jl) 
on the OPF benchmarks from the
[PGLib Archive](https://github.com/power-grid-lib/pglib-opf). 
providing baseline results for these test cases. All models were solved using 
[IPOPT](https://link.springer.com/article/10.1007/s10107-004-0559-y).

Note that the displayed solve times are only approximate.
These times do not include Julia's JIT time, around 2-5 seconds, and
use the [HSL](http://www.hsl.rl.ac.uk/ipopt/) ma27 solver in IPOPT.
The default linear solver will increase the runtime by 2-6x.

## Software Versions
**[PowerModels.jl](https://github.com/lanl-ansi/PowerModels.jl):** v0.19.9

**[Ipopt.jl](https://github.com/JuliaOpt/Ipopt.jl):** v1.4.1/v3.14.4

**[PGLib OPF](https://github.com/power-grid-lib/pglib-opf):** v23.07

**Hardware:** Dual Intel 2.10GHz CPUs, 128GB RAM


## Typical Operating Conditions (TYP)
| **Case Name** | **Nodes** | **Edges** | **DC (\$/h)** | **AC (\$/h)** | **QC Gap (%)** | **SOC Gap (%)** | **DC Time (sec.)** | **AC Time (sec.)** | **QC Time (sec.)** | **SOC Time (sec.)** |
| ------------- | --------- | --------- | ------------- | ------------- | -------------- | --------------- | ------------------ | ------------------ | ------------------ | ------------------- |
| pglib_opf_case3_lmbd | 3 | 3 | 5.6959e+03 | 5.8126e+03 | 1.22 | 1.32 | <1 | <1 | <1 | <1 |
| pglib_opf_case5_pjm | 5 | 6 | 1.7480e+04 | 1.7552e+04 | 14.55 | 14.55 | <1 | <1 | <1 | <1 |
| pglib_opf_case14_ieee | 14 | 20 | 2.0515e+03 | 2.1781e+03 | 0.11 | 0.11 | <1 | <1 | <1 | <1 |
| pglib_opf_case24_ieee_rts | 24 | 38 | 6.1001e+04 | 6.3352e+04 | 0.02 | 0.02 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_as | 30 | 41 | 7.6760e+02 | 8.0313e+02 | 0.06 | 0.06 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_ieee | 30 | 41 | 7.4728e+03 | 8.2085e+03 | 18.81 | 18.84 | <1 | <1 | <1 | <1 |
| pglib_opf_case39_epri | 39 | 46 | 1.3689e+05 | 1.3842e+05 | 0.55 | 0.56 | <1 | <1 | <1 | <1 |
| pglib_opf_case57_ieee | 57 | 80 | 3.4773e+04 | 3.7589e+04 | 0.16 | 0.16 | <1 | <1 | <1 | <1 |
| pglib_opf_case60_c | 60 | 88 | 9.0700e+04 | 9.2694e+04 | 0.06 | 0.07 | <1 | <1 | <1 | <1 |
| pglib_opf_case73_ieee_rts | 73 | 120 | 1.8300e+05 | 1.8976e+05 | 0.04 | 0.04 | <1 | <1 | <1 | <1 |
| pglib_opf_case89_pegase | 89 | 210 | 1.0504e+05 | 1.0729e+05 | 0.75 | 0.75 | <1 | <1 | <1 | <1 |
| pglib_opf_case118_ieee | 118 | 186 | 9.3101e+04 | 9.7214e+04 | 0.79 | 0.91 | <1 | <1 | <1 | <1 |
| pglib_opf_case162_ieee_dtc | 162 | 284 | 1.0146e+05 | 1.0808e+05 | 5.84 | 5.95 | <1 | <1 | <1 | <1 |
| pglib_opf_case179_goc | 179 | 263 | 7.5188e+05 | 7.5427e+05 | 0.16 | 0.16 | <1 | <1 | <1 | <1 |
| pglib_opf_case197_snem | 197 | 286 | 1.4741e+00 | 1.5017e+00 | 0.03 | 0.05 | <1 | <1 | <1 | <1 |
| pglib_opf_case200_activ | 200 | 245 | 2.7480e+04 | 2.7558e+04 | 0.01 | 0.01 | <1 | <1 | <1 | <1 |
| pglib_opf_case240_pserc | 240 | 448 | 3.2714e+06 | 3.3297e+06 | 2.73 | 2.78 | <1 | 3 | 4 | <1 |
| pglib_opf_case300_ieee | 300 | 411 | 5.1785e+05 | 5.6522e+05 | 2.58 | 2.63 | <1 | <1 | 2 | <1 |
| pglib_opf_case500_goc | 500 | 733 | 4.4055e+05 | 4.5495e+05 | 0.25 | 0.25 | <1 | <1 | 2 | <1 |
| pglib_opf_case588_sdet | 588 | 686 | 3.1013e+05 | 3.1314e+05 | 1.91 | 2.14 | <1 | <1 | 2 | <1 |
| pglib_opf_case793_goc | 793 | 913 | 2.5831e+05 | 2.6020e+05 | 1.32 | 1.33 | <1 | 2 | 4 | <1 |
| pglib_opf_case1354_pegase | 1354 | 1991 | 1.2182e+06 | 1.2588e+06 | 1.56 | 1.57 | <1 | 5 | 8 | 3 |
| pglib_opf_case1803_snem | 1803 | 2795 | 8.7696e+04 | 9.8335e+04 | 7.99 | 8.03 | <1 | 9 | 11 | 4 |
| pglib_opf_case1888_rte | 1888 | 2531 | 1.3529e+06 | 1.4025e+06 | 2.05 | 2.05 | <1 | 14 | 12 | 64 |
| pglib_opf_case1951_rte | 1951 | 2596 | 2.0316e+06 | 2.0856e+06 | 0.13 | 0.14 | <1 | 11 | 11 | 7 |
| pglib_opf_case2000_goc | 2000 | 3639 | 9.4304e+05 | 9.7343e+05 | 0.31 | 0.31 | <1 | 8 | 11 | 5 |
| pglib_opf_case2312_goc | 2312 | 3013 | 4.4033e+05 | 4.4133e+05 | 1.90 | 1.90 | <1 | 7 | 12 | 4 |
| pglib_opf_case2383wp_k | 2383 | 2896 | 1.8041e+06 | 1.8682e+06 | 0.97 | 1.04 | <1 | 8 | 11 | 7 |
| pglib_opf_case2736sp_k | 2736 | 3504 | 1.2760e+06 | 1.3080e+06 | 0.30 | 0.31 | <1 | 9 | 15 | 5 |
| pglib_opf_case2737sop_k | 2737 | 3506 | 7.6401e+05 | 7.7773e+05 | 0.26 | 0.27 | <1 | 5 | 10 | 7 |
| pglib_opf_case2742_goc | 2742 | 4673 | 2.5970e+05 | 2.7571e+05 | 1.33 | 1.35 | <1 | 36 | 17 | 7 |
| pglib_opf_case2746wop_k | 2746 | 3514 | 1.1782e+06 | 1.2083e+06 | 0.36 | 0.37 | <1 | 6 | 11 | 5 |
| pglib_opf_case2746wp_k | 2746 | 3514 | 1.5814e+06 | 1.6317e+06 | 0.32 | 0.33 | <1 | 7 | 12 | 6 |
| pglib_opf_case2848_rte | 2848 | 3776 | 1.2677e+06 | 1.2866e+06 | 0.12 | 0.13 | <1 | 17 | 16 | 9 |
| pglib_opf_case2853_sdet | 2853 | 3921 | 2.0370e+06 | 2.0524e+06 | 0.87 | 0.91 | <1 | 10 | 15 | 7 |
| pglib_opf_case2868_rte | 2868 | 3808 | 1.9667e+06 | 2.0096e+06 | 0.10 | 0.10 | <1 | 20 | 18 | 9 |
| pglib_opf_case2869_pegase | 2869 | 4582 | 2.3864e+06 | 2.4628e+06 | 1.01 | 1.01 | <1 | 13 | 26 | 8 |
| pglib_opf_case3012wp_k | 3012 | 3572 | 2.5090e+06 | 2.6008e+06 | 0.98 | 1.03 | <1 | 11 | 17 | 15 |
| pglib_opf_case3022_goc | 3022 | 4135 | 5.9922e+05 | 6.0138e+05 | 2.76 | 2.77 | <1 | 11 | 16 | 7 |
| pglib_opf_case3120sp_k | 3120 | 3693 | 2.0880e+06 | 2.1480e+06 | 0.55 | 0.56 | <1 | 11 | 14 | 7 |
| pglib_opf_case3375wp_k | 3374 | 4161 | 7.3170e+06 | 7.4382e+06 | 0.54 | 0.55 | <1 | 13 | 35 | 7 |
| pglib_opf_case3970_goc | 3970 | 6641 | 9.3422e+05 | 9.6099e+05 | 0.34 | 0.34 | 3 | 29 | 30 | 14 |
| pglib_opf_case4020_goc | 4020 | 6988 | 7.9506e+05 | 8.2225e+05 | 1.22 | 1.23 | 2 | 27 | 51 | 15 |
| pglib_opf_case4601_goc | 4601 | 7199 | 7.9381e+05 | 8.2624e+05 | 0.53 | 0.54 | 3 | 28 | 35 | 16 |
| pglib_opf_case4619_goc | 4619 | 8150 | 4.5744e+05 | 4.7670e+05 | 0.88 | 0.91 | 2 | 21 | 38 | 29 |
| pglib_opf_case4661_sdet | 4661 | 5997 | 2.2163e+06 | 2.2513e+06 | 1.89 | 1.99 | 2 | 24 | 34 | 15 |
| pglib_opf_case4837_goc | 4837 | 7765 | 8.5040e+05 | 8.7226e+05 | 0.47 | 0.47 | 2 | 30 | 32 | 13 |
| pglib_opf_case4917_goc | 4917 | 6726 | 1.3837e+06 | 1.3878e+06 | 2.50 | 2.50 | 2 | 28 | 35 | 10 |
| pglib_opf_case5658_epigrids | 5658 | 9078 | 1.1955e+06 | 1.2073e+06 | 0.16 | 0.16 | 2 | 27 | 46 | 18 |
| pglib_opf_case6468_rte | 6468 | 9000 | 1.9828e+06 | 2.0697e+06 | 1.12 | 1.13 | 2 | 68 | 97 | 32 |
| pglib_opf_case6470_rte | 6470 | 9005 | 2.1361e+06 | 2.2376e+06 | 1.75 | 1.76 | 2 | 36 | 47 | 29 |
| pglib_opf_case6495_rte | 6495 | 9019 | 2.5618e+06 | 3.0678e+06 | 15.09 | 15.11 | 2 | 72 | 74 | 30 |
| pglib_opf_case6515_rte | 6515 | 9037 | 2.5593e+06 | 2.8255e+06 | 6.39 | 6.40 | 3 | 57 | 50 | 25 |
| pglib_opf_case7336_epigrids | 7336 | 11521 | 1.8559e+06 | 1.8824e+06 | 0.20 | 0.20 | 2 | 27 | 41 | 25 |
| pglib_opf_case8387_pegase | 8387 | 14561 | 2.5028e+06 | 2.7714e+06 | 54.61 | 64.11 | 4 | 56 | 120 | 31 |
| pglib_opf_case9241_pegase | 9241 | 16049 | 6.0287e+06 | 6.2431e+06 | 1.71 | 2.54 | 3 | 54 | 111 | 41 |
| pglib_opf_case9591_goc | 9591 | 15915 | 1.0309e+06 | 1.0617e+06 | 0.61 | 0.62 | 3 | 80 | 127 | 50 |
| pglib_opf_case10000_goc | 10000 | 13193 | 1.3461e+06 | 1.3540e+06 | 1.51 | 1.54 | 3 | 55 | 107 | 35 |
| pglib_opf_case10192_epigrids | 10192 | 17043 | 1.6656e+06 | 1.6869e+06 | 0.85 | 0.85 | 3 | 66 | 92 | 32 |
| pglib_opf_case10480_goc | 10480 | 18559 | 2.2158e+06 | 2.3146e+06 | 1.15 | 1.23 | 4 | 89 | 121 | 52 |
| pglib_opf_case13659_pegase | 13659 | 20467 | 8.7699e+06 | 8.9480e+06 | 0.98 | 1.39 | 4 | 68 | 134 | 66 |
| pglib_opf_case19402_goc | 19402 | 34704 | 1.8978e+06 | 1.9778e+06 | 1.18 | 1.19 | 9 | 140 | 405 | 129 |
| pglib_opf_case20758_epigrids | 20758 | 33368 | 2.5723e+06 | 2.6186e+06 | 0.37 | 0.39 | 5 | 84 | 208 | 124 |
| pglib_opf_case24464_goc | 24464 | 37816 | 2.5128e+06 | 2.6295e+06 | 0.95 | 0.97 | 8 | 118 | 348 | 104 |
| pglib_opf_case30000_goc | 30000 | 35393 | 1.0921e+06 | 1.1423e+06 | 2.88 | 2.89 | 12 | 269 | 559 | 128 |
| pglib_opf_case78484_epigrids | 78484 | 126146 | 1.5082e+07 | 1.5316e+07 | 0.88 | 0.89 | 35 | 1039 | 1885 | 963 |


## Congested Operating Conditions (API)
| **Case Name** | **Nodes** | **Edges** | **DC (\$/h)** | **AC (\$/h)** | **QC Gap (%)** | **SOC Gap (%)** | **DC Time (sec.)** | **AC Time (sec.)** | **QC Time (sec.)** | **SOC Time (sec.)** |
| ------------- | --------- | --------- | ------------- | ------------- | -------------- | --------------- | ------------------ | ------------------ | ------------------ | ------------------- |
| pglib_opf_case3_lmbd__api | 3 | 3 | 1.0444e+04 | 1.1242e+04 | 5.63 | 9.32 | <1 | <1 | <1 | <1 |
| pglib_opf_case5_pjm__api | 5 | 6 | 7.8025e+04 | 7.8950e+04 | 1.75 | 1.75 | <1 | <1 | <1 | <1 |
| pglib_opf_case14_ieee__api | 14 | 20 | 4.7976e+03 | 5.9994e+03 | 5.13 | 5.13 | <1 | <1 | <1 | <1 |
| pglib_opf_case24_ieee_rts__api | 24 | 38 | 1.4885e+05 | 1.6122e+05 | 6.96 | 7.48 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_as__api | 30 | 41 | 3.0921e+03 | 4.9962e+03 | 44.61 | 44.61 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_ieee__api | 30 | 41 | 1.6145e+04 | 1.8037e+04 | 5.43 | 5.43 | <1 | <1 | <1 | <1 |
| pglib_opf_case39_epri__api | 39 | 46 | 2.5275e+05 | 2.5677e+05 | 1.39 | 1.42 | <1 | <1 | <1 | <1 |
| pglib_opf_case57_ieee__api | 57 | 80 | 3.4081e+04 | 3.6242e+04 | 7.93 | 8.20 | <1 | <1 | <1 | <1 |
| pglib_opf_case60_c__api | 60 | 88 | 1.7638e+05 | 1.8500e+05 | 2.05 | 2.07 | <1 | <1 | <1 | <1 |
| pglib_opf_case73_ieee_rts__api | 73 | 120 | 4.7218e+05 | 5.0985e+05 | 3.87 | 4.21 | <1 | <1 | <1 | <1 |
| pglib_opf_case89_pegase__api | 89 | 210 | 1.1863e+05 | 1.2957e+05 | 12.47 | 12.51 | <1 | <1 | <1 | <1 |
| pglib_opf_case118_ieee__api | 118 | 186 | 2.3129e+05 | 2.4961e+05 | 26.07 | 26.17 | <1 | <1 | <1 | <1 |
| pglib_opf_case162_ieee_dtc__api | 162 | 284 | 1.1157e+05 | 1.2088e+05 | 4.30 | 4.33 | <1 | <1 | <1 | <1 |
| pglib_opf_case179_goc__api | 179 | 263 | 1.8132e+06 | 1.8834e+06 | 7.80 | 8.26 | <1 | <1 | <1 | <1 |
| pglib_opf_case197_snem__api | 197 | 286 | 1.5690e+04 | 1.6363e+04 | 0.98 | 0.98 | <1 | <1 | <1 | <1 |
| pglib_opf_case200_activ__api | 200 | 245 | 4.0130e+04 | 4.0700e+04 | 0.02 | 0.02 | <1 | <1 | <1 | <1 |
| pglib_opf_case240_pserc__api | 240 | 448 | 4.6248e+06 | 4.6922e+06 | 1.14 | 1.18 | <1 | 3 | 4 | 2 |
| pglib_opf_case300_ieee__api | 300 | 411 | 6.5984e+05 | 6.8604e+05 | 0.91 | 0.95 | <1 | <1 | 2 | <1 |
| pglib_opf_case500_goc__api | 500 | 733 | 6.4687e+05 | 6.8829e+05 | 3.65 | 3.65 | <1 | 2 | 2 | <1 |
| pglib_opf_case588_sdet__api | 588 | 686 | 3.9295e+05 | 3.9876e+05 | 2.55 | 2.80 | <1 | <1 | 2 | <1 |
| pglib_opf_case793_goc__api | 793 | 913 | 3.7218e+05 | 3.7980e+05 | 15.35 | 15.45 | <1 | 2 | 3 | <1 |
| pglib_opf_case1354_pegase__api | 1354 | 1991 | 1.5585e+06 | 1.6082e+06 | 1.83 | 1.85 | <1 | 7 | 12 | 4 |
| pglib_opf_case1803_snem__api | 1803 | 2795 | 6.1723e+04 | 8.0240e+04 | 39.54 | 40.84 | <1 | 9 | 10 | 4 |
| pglib_opf_case1888_rte__api | 1888 | 2531 | 1.9616e+06 | 2.0197e+06 | 0.31 | 0.32 | <1 | 11 | 16 | 8 |
| pglib_opf_case1951_rte__api | 1951 | 2596 | 2.4115e+06 | 2.4903e+06 | 0.47 | 0.48 | <1 | 8 | 11 | 7 |
| pglib_opf_case2000_goc__api | 2000 | 3639 | 1.4100e+06 | 1.4839e+06 | 2.87 | 2.87 | <1 | 9 | 10 | 4 |
| pglib_opf_case2312_goc__api | 2312 | 3013 | 6.1522e+05 | 6.6344e+05 | 17.44 | 17.53 | <1 | 11 | 11 | 5 |
| pglib_opf_case2383wp_k__api | 2383 | 2896 | 2.7913e+05 | 2.7913e+05 | 0.01 | 0.01 | <1 | 4 | 4 | 2 |
| pglib_opf_case2736sp_k__api | 2736 | 3504 | 9.7782e+05 | 1.0178e+06 | 7.72 | 7.73 | <1 | 10 | 19 | 5 |
| pglib_opf_case2737sop_k__api | 2737 | 3506 | 7.5532e+05 | 7.8831e+05 | 6.88 | 6.90 | <1 | 9 | 13 | 5 |
| pglib_opf_case2742_goc__api | 2742 | 4673 | 5.0540e+05 | 6.0996e+05 | 22.61 | 22.67 | <1 | 31 | 18 | 7 |
| pglib_opf_case2746wop_k__api | 2746 | 3514 | 5.3155e+05 | 5.5048e+05 | 7.06 | 7.06 | <1 | 7 | 6 | 3 |
| pglib_opf_case2746wp_k__api | 2746 | 3514 | 5.8183e+05 | 5.8183e+05 | 0.01 | 0.01 | <1 | 10 | 8 | 4 |
| pglib_opf_case2848_rte__api | 2848 | 3776 | 1.4890e+06 | 1.5311e+06 | 0.24 | 0.25 | <1 | 19 | 17 | 11 |
| pglib_opf_case2853_sdet__api | 2853 | 3921 | 2.4561e+06 | 2.4843e+06 | 2.50 | 2.54 | <1 | 11 | 16 | 9 |
| pglib_opf_case2868_rte__api | 2868 | 3808 | 2.2775e+06 | 2.3439e+06 | 0.37 | 0.38 | <1 | 27 | 18 | 9 |
| pglib_opf_case2869_pegase__api | 2869 | 4582 | 2.9666e+06 | 3.0630e+06 | 1.17 | 1.18 | <1 | 15 | 23 | 10 |
| pglib_opf_case3012wp_k__api | 3012 | 3572 | 8.5175e+05 | 9.1459e+05 | 20.31 | 20.31 | <1 | 11 | 7 | 3 |
| pglib_opf_case3022_goc__api | 3022 | 4135 | 6.6619e+05 | 6.8736e+05 | 13.42 | 13.45 | <1 | 11 | 17 | 5 |
| pglib_opf_case3120sp_k__api | 3120 | 3693 | 1.3265e+06 | 1.4035e+06 | 16.00 | 16.03 | <1 | 14 | 18 | 7 |
| pglib_opf_case3375wp_k__api | 3374 | 4161 | 6.2721e+06 | 6.3641e+06 | 7.76 | 7.84 | <1 | 14 | 36 | 10 |
| pglib_opf_case3970_goc__api | 3970 | 6641 | 1.2278e+06 | 1.7494e+06 | 38.76 | 38.79 | 4 | 40 | 31 | 13 |
| pglib_opf_case4020_goc__api | 4020 | 6988 | 1.0824e+06 | 1.2817e+06 | 17.10 | 17.12 | 3 | 43 | 32 | 11 |
| pglib_opf_case4601_goc__api | 4601 | 7199 | 7.9641e+05 | 8.7124e+05 | 21.06 | 21.14 | 3 | 35 | 28 | 11 |
| pglib_opf_case4619_goc__api | 4619 | 8150 | 1.0108e+06 | 1.0688e+06 | 9.02 | 9.09 | 4 | 34 | 34 | 19 |
| pglib_opf_case4661_sdet__api | 4661 | 5997 | 2.6706e+06 | 2.7315e+06 | 3.87 | 3.97 | 3 | 25 | 42 | 103 |
| pglib_opf_case4837_goc__api | 4837 | 7765 | 1.2096e+06 | 1.2919e+06 | 7.05 | 7.12 | 2 | 37 | 49 | 13 |
| pglib_opf_case4917_goc__api | 4917 | 6726 | 1.7035e+06 | 1.7174e+06 | 16.31 | 16.38 | 2 | 22 | 34 | 10 |
| pglib_opf_case5658_epigrids__api | 5658 | 9078 | 1.3063e+06 | 1.3268e+06 | 0.60 | 0.60 | 2 | 33 | 46 | 25 |
| pglib_opf_case6468_rte__api | 6468 | 9000 | 2.3433e+06 | 2.4527e+06 | 0.63 | 0.65 | 2 | 112 | 58 | 41 |
| pglib_opf_case6470_rte__api | 6470 | 9005 | 2.6041e+06 | 2.7209e+06 | 1.29 | 1.31 | 2 | 59 | 56 | 24 |
| pglib_opf_case6495_rte__api | 6495 | 9019 | 2.9245e+06 | 3.1304e+06 | 3.61 | 3.66 | 3 | 59 | 69 | 27 |
| pglib_opf_case6515_rte__api | 6515 | 9037 | 2.9597e+06 | 3.1292e+06 | 2.25 | 2.28 | 2 | 56 | 55 | 26 |
| pglib_opf_case7336_epigrids__api | 7336 | 11521 | 1.9801e+06 | 2.0355e+06 | 1.84 | 1.84 | 3 | 54 | 51 | 28 |
| pglib_opf_case8387_pegase__api | 8387 | 14561 | 4.9759e+06 | 5.2428e+06 | 8.23 | 10.12 | 4 | 63 | 99 | 36 |
| pglib_opf_case9241_pegase__api | 9241 | 16049 | 6.8163e+06 | 7.0679e+06 | 1.97 | 2.95 | 3 | 71 | 103 | 41 |
| pglib_opf_case9591_goc__api | 9591 | 15915 | 1.4702e+06 | 1.5703e+06 | 14.20 | 14.26 | 6 | 147 | 142 | 36 |
| pglib_opf_case10000_goc__api | 10000 | 13193 | 2.4991e+06 | 2.6787e+06 | 6.58 | 6.60 | 5 | 74 | 85 | 32 |
| pglib_opf_case10192_epigrids__api | 10192 | 17043 | 1.8565e+06 | 1.9777e+06 | 6.47 | 6.48 | 4 | 112 | 92 | 32 |
| pglib_opf_case10480_goc__api | 10480 | 18559 | 2.7124e+06 | 2.8635e+06 | 5.35 | 5.40 | 7 | 93 | 95 | 41 |
| pglib_opf_case13659_pegase__api | 13659 | 20467 | 9.1263e+06 | 9.3858e+06 | 1.20 | 1.85 | 6 | 101 | 133 | 83 |
| pglib_opf_case19402_goc__api | 19402 | 34704 | 2.4581e+06 | 2.5837e+06 | 5.17 | 5.22 | 12 | 246 | 295 | 117 |
| pglib_opf_case20758_epigrids__api | 20758 | 33368 | 3.0348e+06 | 3.1265e+06 | 2.62 | 2.68 | 7 | 137 | 216 | 124 |
| pglib_opf_case24464_goc__api | 24464 | 37816 | 2.5311e+06 | 2.6840e+06 | 4.47 | 4.60 | 10 | 139 | 309 | 105 |
| pglib_opf_case30000_goc__api | 30000 | 35393 | 1.7009e+06 | 1.7779e+06 | 13.83 | 13.86 | 17 | 264 | 561 | 177 |
| pglib_opf_case78484_epigrids__api | 78484 | 126146 | 1.5764e+07 | 1.6140e+07 | 1.60 | 1.60 | 35 | 963 | 2140 | 1274 |


## Small Angle Difference Conditions (SAD)
| **Case Name** | **Nodes** | **Edges** | **DC (\$/h)** | **AC (\$/h)** | **QC Gap (%)** | **SOC Gap (%)** | **DC Time (sec.)** | **AC Time (sec.)** | **QC Time (sec.)** | **SOC Time (sec.)** |
| ------------- | --------- | --------- | ------------- | ------------- | -------------- | --------------- | ------------------ | ------------------ | ------------------ | ------------------- |
| pglib_opf_case3_lmbd__sad | 3 | 3 | 5.8560e+03 | 5.9593e+03 | 1.42 | 3.75 | <1 | <1 | <1 | <1 |
| pglib_opf_case5_pjm__sad | 5 | 6 | inf. | 2.6109e+04 | 0.99 | 3.62 | <1 | <1 | <1 | <1 |
| pglib_opf_case14_ieee__sad | 14 | 20 | inf. | 2.7768e+03 | 21.48 | 21.53 | <1 | <1 | <1 | <1 |
| pglib_opf_case24_ieee_rts__sad | 24 | 38 | 7.8122e+04 | 7.6918e+04 | 2.93 | 9.55 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_as__sad | 30 | 41 | inf. | 8.9735e+02 | 2.31 | 7.88 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_ieee__sad | 30 | 41 | inf. | 8.2085e+03 | 5.94 | 9.70 | <1 | <1 | <1 | <1 |
| pglib_opf_case39_epri__sad | 39 | 46 | 1.5067e+05 | 1.4834e+05 | 0.21 | 0.67 | <1 | <1 | <1 | <1 |
| pglib_opf_case57_ieee__sad | 57 | 80 | inf. | 3.8663e+04 | 0.35 | 0.71 | <1 | <1 | <1 | <1 |
| pglib_opf_case60_c__sad | 60 | 88 | inf. | 1.1350e+05 | 2.28 | 4.37 | <1 | <1 | <1 | <1 |
| pglib_opf_case73_ieee_rts__sad | 73 | 120 | 2.3268e+05 | 2.2760e+05 | 2.54 | 6.73 | <1 | <1 | <1 | <1 |
| pglib_opf_case89_pegase__sad | 89 | 210 | inf. | 1.0729e+05 | 0.71 | 0.73 | <1 | <1 | <1 | <1 |
| pglib_opf_case118_ieee__sad | 118 | 186 | inf. | 1.0516e+05 | 6.79 | 8.17 | <1 | <1 | <1 | <1 |
| pglib_opf_case162_ieee_dtc__sad | 162 | 284 | 1.0629e+05 | 1.0869e+05 | 6.25 | 6.48 | <1 | <1 | <1 | <1 |
| pglib_opf_case179_goc__sad | 179 | 263 | inf. | 7.6253e+05 | 1.01 | 1.12 | <1 | <1 | <1 | <1 |
| pglib_opf_case197_snem__sad | 197 | 286 | inf. | 1.5103e+00 | 0.12 | 0.17 | <1 | <1 | <1 | <1 |
| pglib_opf_case200_activ__sad | 200 | 245 | inf. | 2.7558e+04 | 0.01 | 0.01 | <1 | <1 | <1 | <1 |
| pglib_opf_case240_pserc__sad | 240 | 448 | inf. | 3.4054e+06 | 4.37 | 4.93 | <1 | 4 | 3 | <1 |
| pglib_opf_case300_ieee__sad | 300 | 411 | 5.2729e+05 | 5.6570e+05 | 2.43 | 2.61 | <1 | <1 | 2 | <1 |
| pglib_opf_case500_goc__sad | 500 | 733 | inf. | 4.8740e+05 | 6.45 | 6.67 | <1 | <1 | 2 | <1 |
| pglib_opf_case588_sdet__sad | 588 | 686 | inf. | 3.2936e+05 | 5.98 | 6.67 | <1 | <1 | 2 | <1 |
| pglib_opf_case793_goc__sad | 793 | 913 | inf. | 2.8580e+05 | 6.26 | 7.97 | <1 | 2 | 4 | <1 |
| pglib_opf_case1354_pegase__sad | 1354 | 1991 | inf. | 1.2588e+06 | 1.53 | 1.57 | <1 | 6 | 8 | 3 |
| pglib_opf_case1803_snem__sad | 1803 | 2795 | inf. | 1.0634e+05 | 13.65 | 13.99 | <1 | 9 | 12 | 4 |
| pglib_opf_case1888_rte__sad | 1888 | 2531 | 1.3532e+06 | 1.4139e+06 | 2.81 | 2.82 | <1 | 14 | 10 | 23 |
| pglib_opf_case1951_rte__sad | 1951 | 2596 | inf. | 2.0924e+06 | 0.42 | 0.46 | <1 | 11 | 12 | 6 |
| pglib_opf_case2000_goc__sad | 2000 | 3639 | inf. | 9.9288e+05 | 1.35 | 1.52 | 2 | 9 | 13 | 7 |
| pglib_opf_case2312_goc__sad | 2312 | 3013 | inf. | 4.6235e+05 | 3.40 | 3.93 | 2 | 11 | 12 | 5 |
| pglib_opf_case2383wp_k__sad | 2383 | 2896 | inf. | 1.9112e+06 | 1.93 | 2.86 | 2 | 10 | 13 | 6 |
| pglib_opf_case2736sp_k__sad | 2736 | 3504 | inf. | 1.3266e+06 | 1.32 | 1.58 | <1 | 9 | 12 | 6 |
| pglib_opf_case2737sop_k__sad | 2737 | 3506 | inf. | 7.9095e+05 | 1.70 | 1.88 | 2 | 9 | 11 | 5 |
| pglib_opf_case2742_goc__sad | 2742 | 4673 | 2.5970e+05 | 2.7571e+05 | 1.34 | 1.36 | <1 | 39 | 17 | 8 |
| pglib_opf_case2746wop_k__sad | 2746 | 3514 | inf. | 1.2337e+06 | 1.97 | 2.32 | <1 | 8 | 10 | 5 |
| pglib_opf_case2746wp_k__sad | 2746 | 3514 | inf. | 1.6669e+06 | 1.65 | 2.19 | 2 | 10 | 11 | 6 |
| pglib_opf_case2848_rte__sad | 2848 | 3776 | inf. | 1.2890e+06 | 0.23 | 0.25 | 2 | 21 | 16 | 8 |
| pglib_opf_case2853_sdet__sad | 2853 | 3921 | inf. | 2.0692e+06 | 1.65 | 1.70 | 2 | 11 | 15 | 8 |
| pglib_opf_case2868_rte__sad | 2868 | 3808 | inf. | 2.0213e+06 | 0.56 | 0.59 | 2 | 19 | 17 | 8 |
| pglib_opf_case2869_pegase__sad | 2869 | 4582 | inf. | 2.4687e+06 | 1.02 | 1.12 | 3 | 13 | 25 | 9 |
| pglib_opf_case3012wp_k__sad | 3012 | 3572 | inf. | 2.6195e+06 | 1.35 | 1.56 | 2 | 11 | 18 | 19 |
| pglib_opf_case3022_goc__sad | 3022 | 4135 | 5.9922e+05 | 6.0143e+05 | 2.76 | 2.77 | <1 | 11 | 18 | 7 |
| pglib_opf_case3120sp_k__sad | 3120 | 3693 | inf. | 2.1749e+06 | 1.38 | 1.52 | 3 | 12 | 22 | 10 |
| pglib_opf_case3375wp_k__sad | 3374 | 4161 | 7.3196e+06 | 7.4382e+06 | 0.50 | 0.55 | <1 | 13 | 98 | 8 |
| pglib_opf_case3970_goc__sad | 3970 | 6641 | inf. | 9.6555e+05 | 0.63 | 0.76 | 8 | 33 | 27 | 14 |
| pglib_opf_case4020_goc__sad | 4020 | 6988 | inf. | 8.8969e+05 | 8.45 | 8.66 | 5 | 30 | 38 | 15 |
| pglib_opf_case4601_goc__sad | 4601 | 7199 | 1.1955e+06 | 8.7818e+05 | 6.25 | 6.37 | 5 | 42 | 31 | 16 |
| pglib_opf_case4619_goc__sad | 4619 | 8150 | inf. | 4.8435e+05 | 1.95 | 2.00 | 6 | 29 | 37 | 17 |
| pglib_opf_case4661_sdet__sad | 4661 | 5997 | inf. | 2.2610e+06 | 1.79 | 1.96 | 2 | 25 | 39 | 15 |
| pglib_opf_case4837_goc__sad | 4837 | 7765 | inf. | 8.7712e+05 | 0.73 | 0.85 | 9 | 28 | 30 | 12 |
| pglib_opf_case4917_goc__sad | 4917 | 6726 | 1.3843e+06 | 1.3890e+06 | 2.45 | 2.52 | 2 | 27 | 31 | 10 |
| pglib_opf_case5658_epigrids__sad | 5658 | 9078 | inf. | 1.2358e+06 | 2.29 | 2.36 | 12 | 38 | 40 | 19 |
| pglib_opf_case6468_rte__sad | 6468 | 9000 | 1.9828e+06 | 2.0697e+06 | 1.10 | 1.12 | 2 | 111 | 81 | 35 |
| pglib_opf_case6470_rte__sad | 6470 | 9005 | 2.1391e+06 | 2.2416e+06 | 1.87 | 1.91 | 2 | 42 | 50 | 25 |
| pglib_opf_case6495_rte__sad | 6495 | 9019 | 2.5618e+06 | 3.0678e+06 | 14.99 | 15.11 | 3 | 79 | 61 | 27 |
| pglib_opf_case6515_rte__sad | 6515 | 9037 | 2.5595e+06 | 2.8698e+06 | 7.82 | 7.85 | 2 | 67 | 54 | 25 |
| pglib_opf_case7336_epigrids__sad | 7336 | 11521 | inf. | 1.8884e+06 | 0.40 | 0.52 | 7 | 39 | 44 | 22 |
| pglib_opf_case8387_pegase__sad | 8387 | 14561 | 2.5977e+06 | 2.8039e+06 | 47.49 | 59.72 | 4 | 62 | 101 | 35 |
| pglib_opf_case9241_pegase__sad | 9241 | 16049 | inf. | 6.3185e+06 | 2.40 | 2.47 | 9 | 64 | 101 | 40 |
| pglib_opf_case9591_goc__sad | 9591 | 15915 | inf. | 1.1674e+06 | 9.35 | 9.56 | 12 | 103 | 126 | 53 |
| pglib_opf_case10000_goc__sad | 10000 | 13193 | inf. | 1.4902e+06 | 5.35 | 6.77 | 16 | 60 | 72 | 31 |
| pglib_opf_case10192_epigrids__sad | 10192 | 17043 | inf. | 1.7202e+06 | 2.69 | 2.75 | 18 | 73 | 82 | 33 |
| pglib_opf_case10480_goc__sad | 10480 | 18559 | inf. | 2.3147e+06 | 1.14 | 1.23 | 25 | 81 | 122 | 47 |
| pglib_opf_case13659_pegase__sad | 13659 | 20467 | inf. | 9.0422e+06 | 1.63 | 1.68 | 11 | 74 | 140 | 50 |
| pglib_opf_case19402_goc__sad | 19402 | 34704 | 1.9102e+06 | 1.9838e+06 | 1.44 | 1.49 | 13 | 208 | 405 | 121 |
| pglib_opf_case20758_epigrids__sad | 20758 | 33368 | inf. | 2.6382e+06 | 0.84 | 0.97 | 30 | 132 | 189 | 146 |
| pglib_opf_case24464_goc__sad | 24464 | 37816 | 2.5549e+06 | 2.6540e+06 | 1.77 | 1.84 | 11 | 208 | 328 | 105 |
| pglib_opf_case30000_goc__sad | 30000 | 35393 | 1.2975e+06 | 1.3100e+06 | 11.30 | 13.12 | 13 | 364 | 504 | 138 |
| pglib_opf_case78484_epigrids__sad | 78484 | 126146 | 1.5083e+07 | 1.5316e+07 | 0.88 | 0.89 | 38 | 992 | 1962 | 1332 |


